<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="${basePackage}.module.${moduleName}.mpr.${table.getCName()}Mapper">

<#if dataBase == 'Oracle'>
    <sql id="table">"${module.modulePrefix?default("")}${table.tableName}"</sql>
<#elseif dataBase='MySQL'>
    <sql id="table">`${module.modulePrefix?default("")}${table.tableName}`</sql>
<#elseif dataBase='SQLite'>
    <sql id="table">"${module.modulePrefix?default("")}${table.tableName}"</sql>
</#if>

    <sql id="entityColumnList">
    <#if dataBase == 'Oracle'>
        <#list table.fields as f>"${f.fieldName}"<#if f_has_next>,</#if></#list>
    <#elseif dataBase='MySQL'>
        <#list table.fields as f>`${f.fieldName}`<#if f_has_next>,</#if></#list>
    <#elseif dataBase='SQLite'>
        <#list table.fields as f>"${f.fieldName}"<#if f_has_next>,</#if></#list>
    </#if>
    </sql>

    <resultMap id="${table.getFName()}" type="${basePackage}.module.${moduleName}.ent.${table.getCName()}">
    <#list table.fields as f>
        <result column="${f.fieldName}"  jdbcType="${f.fieldType.jdbcType()}" property="${f.getFName()}"/>
    </#list>
    </resultMap>

    <select id="find" resultMap="${table.getFName()}">
        SELECT
        <include refid="entityColumnList"/>
        FROM
        <include refid="table"/>
        WHERE
    <#if dataBase == 'Oracle'>
        "IS_DELETED" = 0
    <#elseif dataBase='MySQL'>
        `IS_DELETED` = 0
    <#elseif dataBase='SQLite'>
        "IS_DELETED" = 0
    </#if>
<#list table.fields as f>
<#if f.isQuery>
<#if dataBase == 'Oracle'>
    <#if f.fieldType.javaType() == "Boolean">
        <if test="request.${f.getFName()} != null">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Byte">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Short">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Integer">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Long">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Float">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Double">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Character">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != ''">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "String">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != ''">
            AND "${f.fieldName}" = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Date">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != ''">
            AND to_char("${f.fieldName}",'yyyy-MM-dd HH24:mi:ss') = to_char(${r"#{"}request.${f.getFName()}},'yyyy-MM-dd HH24:mi:ss')
        </if>
    </#if>
<#elseif dataBase='MySQL'>
    <#if f.fieldType.javaType() == "Boolean">
        <if test="request.${f.getFName()} != null">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Byte">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Short">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Integer">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Long">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Float">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Double">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Character">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != ''">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "String">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != ''">
            AND `${f.fieldName}` = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Date">
        <if test="request.${f.getFName()} != null">
            AND DATE_FORMAT(`${f.fieldName}`,"%Y-%m-%d %T") = DATE_FORMAT(${r"#{"}request.${f.getFName()}},"%Y-%m-%d %T")
        </if>
    </#if>
<#elseif dataBase='SQLite'>
    <#if f.fieldType.javaType() == "Boolean">
        <if test="request.${f.getFName()} != null">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Byte">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Short">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Integer">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Long">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Float">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Double">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != 0">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Character">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != ''">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "String">
        <if test="request.${f.getFName()} != null and request.${f.getFName()} != ''">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
    <#if f.fieldType.javaType() == "Date">
        <if test="request.${f.getFName()} != null">
            AND ${f.fieldName} = ${r"#{"}request.${f.getFName()}}
        </if>
    </#if>
</#if>
</#if>
</#list>
    </select>

    <select id="search" resultMap="${table.getFName()}">
        SELECT
        <include refid="entityColumnList"/>
        FROM
        <include refid="table"/>
        WHERE
    <#if dataBase == 'Oracle'>
        "IS_DELETED" = 0
    <#elseif dataBase='MySQL'>
        `IS_DELETED` = 0
    </#if>
        <if test="request.keyword != null and request.keyword != ''">
            1 = 2
<#list table.fields as f>
<#if f.isSearch>
<#if dataBase == 'Oracle'>
            OR "${f.fieldName}" LIKE CONCAT(CONCAT('%',${r"#{"}request.keyword}),'%')
<#elseif dataBase='MySQL'>
            OR `${f.fieldName}` LIKE CONCAT('%',${r"#{request.keyword}"},'%')
</#if>
<#elseif dataBase='SQLite'>
            OR ${f.fieldName} LIKE CONCAT('%',${r"#{request.keyword}"},'%')
</#if>
</#list>
        </if>
    </select>

    <insert id="insert">
        INSERT INTO
        <include refid="table"/>
        (
        <include refid="entityColumnList"/>
        )
        VALUES
        (
        ${r"#{"}request.id},
        <#list table.fields as f>
            <#if !f.isSystem>
        ${r"#{"}request.${f.getFName()},jdbcType=${f.fieldType.jdbcType()}},
            </#if>
        </#list>
        0,
        0,
        ${r"#{"}token.userId,jdbcType=NUMERIC},
        <#if dataBase == 'Oracle'>sysdate<#elseif dataBase == 'MySQL'>sysdate()<#elseif dataBase == 'SQLite'>datetime('now')</#if>,
        NULL,
        NULL
        )
    </insert>

    <insert id="insertBatch">
        INSERT INTO
        <include refid="table"/>
        (
        <include refid="entityColumnList"/>
        )
        VALUES
        <foreach collection="list" item= "item" index ="index" separator=",">
        (
        ${r"#{"}item.id},
        <#list table.fields as f>
            <#if !f.isSystem>
        ${r"#{"}item.${f.getFName()},jdbcType=${f.fieldType.jdbcType()}},
            </#if>
        </#list>
        0,
        0,
        ${r"#{"}token.userId,jdbcType=NUMERIC},
        <#if dataBase == 'Oracle'>sysdate<#elseif dataBase == 'MySQL'>sysdate()<#elseif dataBase == 'SQLite'>datetime('now')</#if>,
        NULL,
        NULL
        )
        </foreach >
    </insert>

    <update id="delete">
        UPDATE
        <include refid="table"/>
    <#if dataBase == 'Oracle'>
        SET "IS_DELETED" = 1
        WHERE "IS_DELETED" = 0
        AND "ID" = ${r"#{"}request.id}
    <#elseif dataBase='MySQL'>
        SET `IS_DELETED` = 1
        WHERE `IS_DELETED` = 0
        AND `ID` = ${r"#{"}request.id}
    </#if>
    </update>

    <update id="update">
        UPDATE
        <include refid="table"/>
        SET
    <#if dataBase == 'Oracle'>
        <#list table.fields as f>
            <#if !f.isPrimaryKey>
                <#if !f.isSystem || f.fieldName == 'ID'>
        "${f.fieldName}" = ${r"#{"}request.${f.getFName()},jdbcType=${f.fieldType.jdbcType()}},
                </#if>
            </#if>
        </#list>
        "ROW_VERSION" = "ROW_VERSION" + 1,
        "LAST_UPDATE_BY" = ${r"#{"}token.userId},
        "LAST_UPDATE_TIME" = sysdate
    <#elseif dataBase='MySQL'>
        <#list table.fields as f>
            <#if !f.isPrimaryKey>
                <#if !f.isSystem || f.fieldName == 'ID'>
        `${f.fieldName}` = ${r"#{"}request.${f.getFName()},jdbcType=${f.fieldType.jdbcType()}},
                </#if>
            </#if>
        </#list>
        `ROW_VERSION` = `ROW_VERSION` + 1,
        `LAST_UPDATE_BY` = ${r"#{"}token.userId},
        `LAST_UPDATE_TIME` = sysdate()
    <#elseif dataBase='SQLite'>
        <#list table.fields as f>
            <#if !f.isPrimaryKey>
                <#if !f.isSystem || f.fieldName == 'ID'>
        ${f.fieldName} = ${r"#{"}request.${f.getFName()},jdbcType=${f.fieldType.jdbcType()}},
                </#if>
            </#if>
        </#list>
        ROW_VERSION = ROW_VERSION + 1,
        LAST_UPDATE_BY = ${r"#{"}token.userId},
        LAST_UPDATE_TIME = datetime('now')
    </#if>
        WHERE
    <#if dataBase == 'Oracle'>
        "IS_DELETED" = 0
        AND "ID" = ${r"#{"}request.id}
        AND "ROW_VERSION" = ${r"#{"}request.rowVersion}
    <#elseif dataBase='MySQL'>
        `IS_DELETED` = 0
        AND `ID` = ${r"#{"}request.id}
        AND `ROW_VERSION` = ${r"#{"}request.rowVersion}
    <#elseif dataBase='SQLite'>
        IS_DELETED = 0
        AND ID = ${r"#{"}request.id}
        AND ROW_VERSION = ${r"#{"}request.rowVersion}
    </#if>
    </update>

    <select id="getAll" resultMap="${table.getFName()}">
        SELECT
        <include refid="entityColumnList"/>
        FROM
        <include refid="table"/>
        WHERE
    <#if dataBase == 'Oracle'>
        "IS_DELETED" = 0
    <#elseif dataBase='MySQL'>
        `IS_DELETED` = 0
    <#elseif dataBase='SQLite'>
        IS_DELETED = 0
    </#if>
    </select>

    <select id="get" resultMap="${table.getFName()}">
        SELECT
        <include refid="entityColumnList"/>
        FROM
        <include refid="table"/>
        WHERE
    <#if dataBase == 'Oracle'>
        "IS_DELETED" = 0
        AND "ID" = ${r"#{request.id}"}
    <#elseif dataBase='MySQL'>
        `IS_DELETED` = 0
        AND `ID` = ${r"#{request.id}"}
    <#elseif dataBase='SQLite'>
        IS_DELETED = 0
        AND ID = ${r"#{request.id}"}
    </#if>
    </select>
</mapper>