<#if dataBase == 'MySQL'>
-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE `SYS_DICT` (
    `ID` BIGINT(20) NOT NULL COMMENT '主键',
    `DICT_NAME` VARCHAR(50) NOT NULL COMMENT '字典名称',
    `DICT_COMMENT` VARCHAR(50) NOT NULL COMMENT '字典描述',
    `VERSION` VARCHAR(50) NOT NULL COMMENT '字典版本',
    `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
    `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
    `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
    `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
    `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
    `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
    `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='字典';

-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE `SYS_DICT_ITEM` (
    `ID` BIGINT(20) NOT NULL COMMENT '主键',
    `DICT_NAME` BIGINT(20) NOT NULL COMMENT '字典名称',
    `KEY` CHAR(10) NOT NULL COMMENT '字典键',
    `VALUE` VARCHAR(100) NOT NULL COMMENT '字典值',
    `SORT` INTEGER(10) NOT NULL COMMENT '排序',
    `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
    `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
    `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
    `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
    `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
    `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
    `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='字典项';

-- ----------------------------
-- Table structure for FILE - 文件
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE `SYS_FILE` (
    `ID` BIGINT(20) NOT NULL COMMENT '主键',
    `NAME` VARCHAR(250) COMMENT '文件名称',
    `FILE_TYPE` VARCHAR(10) COMMENT '文件类型',
    `ATTRIBUTE1` VARCHAR(50) COMMENT '扩展属性1',
    `ATTRIBUTE2` VARCHAR(50) COMMENT '扩展属性2',
    `LOCATION` VARCHAR(500) COMMENT '存放地址',
    `URL` VARCHAR(500) COMMENT '访问地址',
    `URL_DOWNLOAD` VARCHAR(500) COMMENT '下载地址',
    `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
    `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
    `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
    `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
    `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
    `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='文件';
</#if>
<#if dataBase == 'Oracle'>
-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE "SYS_DICT" (
"ID" NUMBER(19) NOT NULL,
"DICT_NAME" VARCHAR2(50) NULL,
"DICT_COMMENT" VARCHAR2(50) NULL,
"VERSION" VARCHAR2(50) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_DICT" is '字典';
COMMENT ON COLUMN "SYS_DICT"."ID" is '主键';
COMMENT ON COLUMN "SYS_DICT"."DICT_NAME" is '字典名称';
COMMENT ON COLUMN "SYS_DICT"."DICT_COMMENT" is '字典描述';
COMMENT ON COLUMN "SYS_DICT"."VERSION" is '字典版本';
COMMENT ON COLUMN "SYS_DICT"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DICT"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DICT"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DICT"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DICT"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DICT"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DICT"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE "SYS_DICT_ITEM" (
"ID" NUMBER(19) NOT NULL,
"DICT_NAME" NUMBER(19) NULL,
"KEY" CHAR(10) NULL,
"VALUE" VARCHAR2(100) NULL,
"SORT" NUMBER(10) NULL,
"VALID" CHAR(1) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_DICT_ITEM" is '字典项';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ID" is '主键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."DICT_NAME" is '字典名称';
COMMENT ON COLUMN "SYS_DICT_ITEM"."KEY" is '字典键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALUE" is '字典值';
COMMENT ON COLUMN "SYS_DICT_ITEM"."SORT" is '排序';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DICT_ITEM"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_TIME" is '最后更新时间';

-- ----------------------------
-- Table structure for FILE - 文件
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE "SYS_FILE" (
"ID" NUMBER(19) NOT NULL,
"NAME" VARCHAR2(250) NULL,
"FILE_TYPE" VARCHAR(10) NULL,
"ATTRIBUTE1" VARCHAR2(50) NULL,
"ATTRIBUTE2" VARCHAR2(50) NULL,
"LOCATION" VARCHAR2(500) NULL,
"URL" VARCHAR2(500) NULL,
"URL_DOWNLOAD" VARCHAR2(500) NULL,
"ROW_VERSION" NUMBER(19) NOT NULL,
"IS_DELETED" CHAR(1) NOT NULL,
"CREATE_BY" NUMBER(19) NOT NULL,
"CREATE_TIME" DATE NOT NULL,
"LAST_UPDATE_BY" NUMBER(19) NULL,
"LAST_UPDATE_TIME" DATE NULL
);
COMMENT ON TABLE "SYS_FILE" is '文件';
COMMENT ON COLUMN "SYS_FILE"."ID" is '主键';
COMMENT ON COLUMN "SYS_FILE"."NAME" is '文件名称';
COMMENT ON COLUMN "SYS_FILE"."FILE_TYPE" is '文件类型';
COMMENT ON COLUMN "SYS_FILE"."ATTRIBUTE1" is '扩展属性1';
COMMENT ON COLUMN "SYS_FILE"."ATTRIBUTE2" is '扩展属性2';
COMMENT ON COLUMN "SYS_FILE"."LOCATION" is '存放地址';
COMMENT ON COLUMN "SYS_FILE"."URL" is '访问地址';
COMMENT ON COLUMN "SYS_FILE"."URL_DOWNLOAD" is '下载地址';
COMMENT ON COLUMN "SYS_FILE"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_FILE"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_FILE"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_FILE"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_FILE"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_FILE"."LAST_UPDATE_TIME" is '最后更新时间';
</#if>
<#if dataBase == 'SQLite'>
-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE IF NOT EXISTS "SYS_DICT" (
  "ID" BIGINT PRIMARY KEY NOT NULL,
  "DICT_NAME" VARCHAR(50) NOT NULL,
  "DICT_COMMENT" VARCHAR(50) NOT NULL,
  "VERSION" VARCHAR(50) NOT NULL,
  "VALID" BOOLEAN NOT NULL,
  "ROW_VERSION" BIGINT NOT NULL,
  "IS_DELETED" BOOLEAN NOT NULL,
  "CREATE_BY" BIGINT NOT NULL,
  "CREATE_TIME" DATETIME NOT NULL,
  "LAST_UPDATE_BY" BIGINT,
  "LAST_UPDATE_TIME" DATETIME
);

-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE IF NOT EXISTS "SYS_DICT_ITEM" (
  "ID" BIGINT PRIMARY KEY NOT NULL,
  "DICT_NAME" BIGINT NOT NULL,
  "KEY" CHAR(10) NOT NULL,
  "VALUE" VARCHAR(100) NOT NULL,
  "SORT" MEDIUMINT NOT NULL,
  "VALID" BOOLEAN NOT NULL,
  "ROW_VERSION" BIGINT NOT NULL,
  "IS_DELETED" BOOLEAN NOT NULL,
  "CREATE_BY" BIGINT NOT NULL,
  "CREATE_TIME" DATETIME NOT NULL,
  "LAST_UPDATE_BY" BIGINT,
  "LAST_UPDATE_TIME" DATETIME
);

-- ----------------------------
-- Table structure for FILE - 文件
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE IF NOT EXISTS "SYS_FILE" (
  "ID" BIGINT PRIMARY KEY NOT NULL,
  "NAME" VARCHAR(250),
  "FILE_TYPE" VARCHAR(10),
  "ATTRIBUTE1" VARCHAR(50),
  "ATTRIBUTE2" VARCHAR(50),
  "LOCATION" VARCHAR(500),
  "URL" VARCHAR(500),
  "URL_DOWNLOAD" VARCHAR(500),
  "ROW_VERSION" BIGINT NOT NULL,
  "IS_DELETED" BOOLEAN NOT NULL,
  "CREATE_BY" BIGINT NOT NULL,
  "CREATE_TIME" DATETIME NOT NULL,
  "LAST_UPDATE_BY" BIGINT,
  "LAST_UPDATE_TIME" DATETIME
);
</#if>