<#if dataBase == 'MySQL'>
-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE `SYS_DICT` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `DICT_NAME` VARCHAR(50) NOT NULL COMMENT '字典名称',
        `DICT_COMMENT` VARCHAR(50) NOT NULL COMMENT '字典描述',
        `VERSION` VARCHAR(50) NOT NULL COMMENT '字典版本',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='字典';
</#if>
<#if dataBase == 'Oracle'>
-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE "SYS_DICT" (
    "ID" NUMBER(19) NOT NULL,
    "DICT_NAME" VARCHAR2(50) NULL,
    "DICT_COMMENT" VARCHAR2(50) NULL,
    "VERSION" VARCHAR2(50) NULL,
    "VALID" CHAR(1) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_DICT" is '字典';
COMMENT ON COLUMN "SYS_DICT"."ID" is '主键';
COMMENT ON COLUMN "SYS_DICT"."DICT_NAME" is '字典名称';
COMMENT ON COLUMN "SYS_DICT"."DICT_COMMENT" is '字典描述';
COMMENT ON COLUMN "SYS_DICT"."VERSION" is '字典版本';
COMMENT ON COLUMN "SYS_DICT"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DICT"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DICT"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DICT"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DICT"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DICT"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DICT"."LAST_UPDATE_TIME" is '最后更新时间';
</#if>
<#if dataBase == 'SQLite'>
-- ----------------------------
-- Table structure for DICT - 字典
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE IF NOT EXISTS "SYS_DICT" (
    "ID" BIGINT PRIMARY KEY NOT NULL,
    "DICT_NAME" VARCHAR(50) NOT NULL,
    "DICT_COMMENT" VARCHAR(50) NOT NULL,
    "VERSION" VARCHAR(50) NOT NULL,
    "VALID" BOOLEAN NOT NULL,
    "ROW_VERSION" BIGINT NOT NULL,
    "IS_DELETED" BOOLEAN NOT NULL,
    "CREATE_BY" BIGINT NOT NULL,
    "CREATE_TIME" DATETIME NOT NULL,
    "LAST_UPDATE_BY" BIGINT,
    "LAST_UPDATE_TIME" DATETIME
);
</#if>