<#if dataBase == 'MySQL'>
-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : MySQL
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE `SYS_DICT_ITEM` (
        `ID` BIGINT(20) NOT NULL COMMENT '主键',
        `DICT_NAME` BIGINT(20) NOT NULL COMMENT '字典名称',
        `KEY` CHAR(10) NOT NULL COMMENT '字典键',
        `VALUE` VARCHAR(100) NOT NULL COMMENT '字典值',
        `SORT` INTEGER(10) NOT NULL COMMENT '排序',
        `VALID` TINYINT(1) NOT NULL COMMENT '是否有效',
        `ROW_VERSION` BIGINT(20) NOT NULL DEFAULT 0 COMMENT '行版本',
        `IS_DELETED` TINYINT(1) NOT NULL DEFAULT 0 COMMENT '是否已删除',
        `CREATE_BY` BIGINT(20) NOT NULL COMMENT '创建用户',
        `CREATE_TIME` DATETIME NOT NULL COMMENT '创建时间',
        `LAST_UPDATE_BY` BIGINT(20) DEFAULT NULL COMMENT '最后更新用户',
        `LAST_UPDATE_TIME` DATETIME DEFAULT NULL COMMENT '最后更新时间',
PRIMARY KEY (`ID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='字典项';
</#if>
<#if dataBase == 'Oracle'>
-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : Oracle
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE "SYS_DICT_ITEM" (
    "ID" NUMBER(19) NOT NULL,
    "DICT_NAME" NUMBER(19) NULL,
    "KEY" CHAR(10) NULL,
    "VALUE" VARCHAR2(100) NULL,
    "SORT" NUMBER(10) NULL,
    "VALID" CHAR(1) NULL,
    "ROW_VERSION" NUMBER(19) NOT NULL,
    "IS_DELETED" CHAR(1) NOT NULL,
    "CREATE_BY" NUMBER(19) NOT NULL,
    "CREATE_TIME" DATE NOT NULL,
    "LAST_UPDATE_BY" NUMBER(19) NULL,
    "LAST_UPDATE_TIME" DATE NULL
);

COMMENT ON TABLE "SYS_DICT_ITEM" is '字典项';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ID" is '主键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."DICT_NAME" is '字典名称';
COMMENT ON COLUMN "SYS_DICT_ITEM"."KEY" is '字典键';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALUE" is '字典值';
COMMENT ON COLUMN "SYS_DICT_ITEM"."SORT" is '排序';
COMMENT ON COLUMN "SYS_DICT_ITEM"."VALID" is '是否有效';
COMMENT ON COLUMN "SYS_DICT_ITEM"."ROW_VERSION" is '行版本';
COMMENT ON COLUMN "SYS_DICT_ITEM"."IS_DELETED" is '是否已删除';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_BY" is '创建用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."CREATE_TIME" is '创建时间';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_BY" is '最后更新用户';
COMMENT ON COLUMN "SYS_DICT_ITEM"."LAST_UPDATE_TIME" is '最后更新时间';
</#if>
<#if dataBase == 'SQLite'>
-- ----------------------------
-- Table structure for DICT_ITEM - 字典项
-- Target   : SQLite
-- Author   : wangbing
-- Date:    : 2019-12-16
-- ----------------------------
CREATE TABLE IF NOT EXISTS "SYS_DICT_ITEM" (
    "ID" BIGINT PRIMARY KEY NOT NULL,
    "DICT_NAME" BIGINT NOT NULL,
    "KEY" CHAR(10) NOT NULL,
    "VALUE" VARCHAR(100) NOT NULL,
    "SORT" MEDIUMINT NOT NULL,
    "VALID" BOOLEAN NOT NULL,
    "ROW_VERSION" BIGINT NOT NULL,
    "IS_DELETED" BOOLEAN NOT NULL,
    "CREATE_BY" BIGINT NOT NULL,
    "CREATE_TIME" DATETIME NOT NULL,
    "LAST_UPDATE_BY" BIGINT,
    "LAST_UPDATE_TIME" DATETIME
);
</#if>